### Function

# Gtk disable_portal_interfaces

since: 4.22

#### Declaration [src]

    void
    gtk_disable_portal_interfaces (
      const char** portal_interfaces
    )

#### Description [src]

Prevents GTK from using the specified portals.

This should only be used in portal implementations, apps must not call it.

Available since: 4.22

#### Parameters

`portal_interfaces`

  Type: An array of `char*`

      a `NULL`-terminated array of portal interface names to disable.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.